# Interface ModelTileEvent

所有事件的基础接口

interface ModelTileEvent {
defaultPrevented: boolean;
model: Model;
tile: Tile;
timeStamp: number;
type: string;
work: Work;
preventDefault(): void;
}

#### Hierarchy (View Summary)

- BaseEvent
  - ModelTileEvent

- Defined in lib/five/utils/event.ts:210

##### Index

### Properties

defaultPrevented
model
tile
timeStamp
type
work

### Methods

preventDefault

## Properties

### `Readonly` defaultPrevented

defaultPrevented: boolean

是否已调用过 preventDefault

Inherited from BaseEvent.defaultPrevented

- Defined in lib/five/utils/event.ts:23

### model

model: Model

- Defined in lib/five/utils/event.ts:211

### tile

tile: Tile

- Defined in lib/five/utils/event.ts:213

### timeStamp

timeStamp: number

事件触发时的时间戳

Inherited from BaseEvent.timeStamp

- Defined in lib/five/utils/event.ts:19

### type

type: string

事件类型名称

Inherited from BaseEvent.type

- Defined in lib/five/utils/event.ts:17

### work

work: Work

- Defined in lib/five/utils/event.ts:212

## Methods

### preventDefault

- preventDefault(): void

  阻止事件的默认行为

  #### Returns void

  Inherited from BaseEvent.preventDefault

  - Defined in lib/five/utils/event.ts:21